
QGIS Application - Bug report #9307

QGIS 2.0 won't open on OSX 10.9

2014-01-07 08:08 AM - Jon Barth

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17915

Description

I just installed QGIS 2.0 on my macbook running OSX Mavericks (was successfully running QGIS 1.5 on there previously). When I

attempt to open the program, I get the following message:  "QGIS cannot be opened because of a problem. Check with the developer and

make sure QGIS works with this version of OS X. You may need to reinstall the application. Be sure to install any available updates for the

application and OS X."

As far as I can tell, everything is updated and I reinstalled QGIS twice with no luck.

Problem details and system configuration:

Process:         QGIS [1087]

Path:            /Applications/QGIS.app/Contents/MacOS/QGIS

Identifier:      org.qgis.qgis2

Version:         ???

Code Type:       X86-64 (Native)

Parent Process:  launchd [132]

Responsible:     QGIS [1087]

User ID:         501

Date/Time:       2014-01-06 17:36:06.120 -0500

OS Version:      Mac OS X 10.9.1 (13B42)

Report Version:  11

Anonymous UUID:  FC49D1E1-1069-09AE-FE37-E5ADF06A6277

Sleep/Wake UUID: 03863BF4-29D6-4A54-A415-DD0D62750EEF

Crashed Thread:  0

Exception Type:  EXC_BREAKPOINT (SIGTRAP)

Exception Codes: 0x0000000000000002, 0x0000000000000000

Application Specific Information:

dyld: launch, loading dependent libraries

Dyld Error Message:

  Library not loaded: /Library/Frameworks/PROJ.framework/Versions/4/PROJ

  Referenced from: /Applications/QGIS.app/Contents/MacOS/QGIS

  Reason: Incompatible library version: QGIS requires version 8.0.0 or later, but PROJ provides version 7.0.0

Binary Images:

    0x7fff6b7f7000 -     0x7fff6b82a817  dyld (239.3) <D1DFCF3F-0B0C-332A-BCC0-87A851B570FF> /usr/lib/dyld
    0x7fff87216000 -     0x7fff87280ff7  com.apple.framework.IOKit (2.0.1 - 907.1.13)

<C1E95F5C-B79B-31BE-9F2A-1B25163C1F16> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit

    0x7fff8f37e000 -     0x7fff8f37efff  com.apple.ApplicationServices (48 - 48) <3E3F01A8-314D-378F-835E-9CC4F8820031>

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices

    0x7fff90e77000 -     0x7fff9105cff7  com.apple.CoreFoundation (6.9 - 855.11) <E22C6A1F-8996-349C-905E-96C3BBE07C2F>

/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation

Model: MacBook5,1, BootROM MB51.007D.B03, 2 processors, Intel Core 2 Duo, 2.4 GHz, 2 GB, SMC 1.32f8

Graphics: NVIDIA GeForce 9400M, NVIDIA GeForce 9400M, PCI, 256 MB

Memory Module: BANK 0/DIMM0, 1 GB, DDR3, 1067 MHz, 0x80CE, 0x4D34373142323837344448312D4346382020

Memory Module: BANK 0/DIMM1, 1 GB, DDR3, 1067 MHz, 0x80CE, 0x4D34373142323837344448312D4346382020

AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0x8D), Broadcom BCM43xx 1.0 (5.106.98.100.22)

Bluetooth: Version 4.2.0f6 12982, 3 services, 23 devices, 1 incoming serial ports

Network Service: AirPort, AirPort, en1

Serial ATA Device: TOSHIBA MK2553GSX, 250.06 GB

Serial ATA Device: MATSHITADVD-R   UJ-868

USB Device: Built-in iSight

USB Device: BRCM2046 Hub

USB Device: Bluetooth USB Host Controller

USB Device: Apple Internal Keyboard / Trackpad

USB Device: IR Receiver

Thunderbolt Bus: 

History

#1 - 2014-01-08 07:32 AM - Rhenriques Henriques

Hi Jon

Go to http://www.kyngchaos.com/software/qgis , download the "requirements" and install. 

When you install Mavericks, all the QGIS libraries are erased from the system folders. You might need to install similar libraries for other software too.

Be sure to download and install most python modules to be able to use plug-ins.

Cheers

#2 - 2014-01-09 08:56 AM - Giovanni Manghi

- Status changed from Open to Feedback

#3 - 2014-02-11 12:24 AM - Jürgen Fischer

- Status changed from Feedback to Closed

closing for the lack of feedback.
